org.keycloak.login.freemarker

## Enum FreeMarkerLoginFormsProvider.MessageType

- java.lang.Object
- - java.lang.Enum<FreeMarkerLoginFormsProvider.MessageType>
  - - org.keycloak.login.freemarker.FreeMarkerLoginFormsProvider.MessageType

- All Implemented Interfaces:
    Serializable, Comparable<FreeMarkerLoginFormsProvider.MessageType>
  Enclosing class:
    FreeMarkerLoginFormsProvider

      public static enum FreeMarkerLoginFormsProvider.MessageType
      extends Enum<FreeMarkerLoginFormsProvider.MessageType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `SUCCESS`
    `WARNING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FreeMarkerLoginFormsProvider.MessageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FreeMarkerLoginFormsProvider.MessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final FreeMarkerLoginFormsProvider.MessageType SUCCESS

    - #### WARNING

          public static final FreeMarkerLoginFormsProvider.MessageType WARNING

    - #### ERROR

          public static final FreeMarkerLoginFormsProvider.MessageType ERROR

  - ### Method Detail

    - #### values

          public static FreeMarkerLoginFormsProvider.MessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FreeMarkerLoginFormsProvider.MessageType c : FreeMarkerLoginFormsProvider.MessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FreeMarkerLoginFormsProvider.MessageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.